package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m05101t00</tt>. 
 * The table <tt>m05101t00</tt> is defined in the database as follows:
 * <pre>
 
CREATE TABLE M05101T00
(
  CODVALIDADOR_101 	VARCHAR2(12) NOT NULL,
  DNI_101		VARCHAR2(10),
  NOMBRE_101		VARCHAR2(100),
  APELLIDOS_101		VARCHAR2(100),
  CODDEPARTAMENTO_101 	VARCHAR2(3) NOT NULL,
  DESCDEPARTAMENTOC_101  VARCHAR2(255),
  DESCDEPARTAMENTOE_101  VARCHAR2(255),
  SITUACION_101		VARCHAR2(1)
, CONSTRAINT M05101I01 PRIMARY KEY
  (
    CODVALIDADOR_101,
	CODDEPARTAMENTO_101
  )
)
;

 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bValidador implements java.io.Serializable{

  private static final long serialVersionUID = 1L;

  private String cod_validador	= "";
  private String dni 			= "";
  private String nombre			= "";
  private String apellidos		= "";
  private String cod_depto    	= "";
  private String descc_depto    = "";
  private String desce_depto    = "";
  private String situacion		= "";
  
  public String getCod_Validador(){return cod_validador;} 
  public void setCod_Validador(String n){cod_validador = n;}
  
  public String getDni(){return dni;} 
  public void setDni(String n){dni = n;}
  
  public String getNombre(){return nombre;} 
  public void setNombre(String n){nombre = n;}
  
  public String getApellidos(){return apellidos;} 
  public void setApellidos(String n){apellidos = n;}
  
  public String getCod_Depto(){return cod_depto;}  
  public void setCod_Depto(String n){cod_depto = n;}
  
  public String getDescc_Depto(){return descc_depto;}  
  public void setDescc_Depto(String n){descc_depto = n;}
  
  public String getDesce_Depto(){return desce_depto;}  
  public void setDesce_Depto(String n){desce_depto = n;}

  public String getSituacion(){return situacion;} 
  public void setSituacion(String n){situacion = n;}
  

  public String toString(){

    String s = "";
    s += "[Código validador = " + cod_validador + "]";
    s += "[Dni validador = " + dni + "]";
    s += "[Nombre validador = " + nombre + "]";
    s += "[Apellidos validador = " + apellidos + "]";
    s += "[Código departamento validador = " + cod_depto + "]";
    s += "[Descc departamento validador = " + descc_depto + "]";
    s += "[Desce departamento validador = " + desce_depto + "]";
    s += "[Situacion validador = " + situacion + "]";
    
    return s;
  }
}